SimpleListProperty (JavaFX 13)

Module javafx.base
Package javafx.beans.property

## Class SimpleListProperty<E>

- java.lang.Object
- - javafx.beans.binding.ListExpression<E>
  - - javafx.beans.property.ReadOnlyListProperty<E>
    - - javafx.beans.property.ListProperty<E>
      - - javafx.beans.property.ListPropertyBase<E>
        - - javafx.beans.property.SimpleListProperty<E>

- Type Parameters:
    `E` - the type of the `List` elements
  All Implemented Interfaces:
    `Iterable<E>`, `Collection<E>`, `List<E>`, `Observable`, `Property<ObservableList<E>>`, `ReadOnlyProperty<ObservableList<E>>`, `ObservableListValue<E>`, `ObservableObjectValue<ObservableList<E>>`, `ObservableValue<ObservableList<E>>`, `WritableListValue<E>`, `WritableObjectValue<ObservableList<E>>`, `WritableValue<ObservableList<E>>`, `ObservableList<E>`
  Direct Known Subclasses:
    `ReadOnlyListWrapper`

      public class SimpleListProperty<E>
      extends ListPropertyBase<E>

  This class provides a full implementation of a `Property` wrapping an `ObservableList`.
  Since:
    JavaFX 2.1
  See Also:
    `ListPropertyBase`

- - ### Property Summary

    - ### Properties inherited from class javafx.beans.property.ListPropertyBase

      `empty, size`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleListProperty()` | The constructor of `SimpleListProperty`
    `SimpleListProperty​(Object bean, String name)` | The constructor of `SimpleListProperty`
    `SimpleListProperty​(Object bean, String name, ObservableList<E> initialValue)` | The constructor of `SimpleListProperty`
    `SimpleListProperty​(ObservableList<E> initialValue)` | The constructor of `SimpleListProperty`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.beans.property.ListPropertyBase

      `addListener, addListener, addListener, bind, emptyProperty, fireValueChangedEvent, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.ListProperty

      `bindBidirectional, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyListProperty

      `bindContent, bindContentBidirectional, equals, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods inherited from class javafx.beans.binding.ListExpression

      `add, add, addAll, addAll, addAll, asString, clear, contains, containsAll, get, getSize, getValue, indexOf, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, iterator, lastIndexOf, listExpression, listIterator, listIterator, remove, remove, remove, removeAll, removeAll, retainAll, retainAll, set, setAll, setAll, size, subList, toArray, toArray, valueAt, valueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface javafx.collections.ObservableList

      `addAll, filtered, remove, removeAll, retainAll, setAll, setAll, sorted, sorted`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleListProperty

          public SimpleListProperty()

      The constructor of `SimpleListProperty`

    - #### SimpleListProperty

          public SimpleListProperty​(ObservableList<E> initialValue)

      The constructor of `SimpleListProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleListProperty

          public SimpleListProperty​(Object bean,
                                    String name)

      The constructor of `SimpleListProperty`
      Parameters:
        `bean` - the bean of this `SetProperty`
        `name` - the name of this `SetProperty`

    - #### SimpleListProperty

          public SimpleListProperty​(Object bean,
                                    String name,
                                    ObservableList<E> initialValue)

      The constructor of `SimpleListProperty`
      Parameters:
        `bean` - the bean of this `ListProperty`
        `name` - the name of this `ListProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`